UBTU-20-010211 - The Ubuntu operating system must prevent all software from executing at higher privilege levels than users executing the software and the audit system must be configured to audit the execution of privileged functions - b64 uid

Information

In certain situations, software applications/programs need to execute with elevated privileges to perform required functions. However, if the privileges required for execution are at a higher level than the privileges assigned to organizational users invoking such applications/programs, those users are indirectly provided with greater privileges than assigned by the organizations.

Some programs and processes are required to operate at a higher privilege level and therefore should be excluded from the organization-defined software list after review.

Satisfies: SRG-OS-000326-GPOS-00126, SRG-OS-000327-GPOS-00127

Solution

Configure the Ubuntu operating system to audit the execution of all privileged functions.

Add or update the following rules in the '/etc/audit/rules.d/stig.rules' file:

-a always,exit -F arch=b64 -S execve -C uid!=euid -F euid=0 -F key=execpriv
-a always,exit -F arch=b64 -S execve -C gid!=egid -F egid=0 -F key=execpriv
-a always,exit -F arch=b32 -S execve -C uid!=euid -F euid=0 -F key=execpriv
-a always,exit -F arch=b32 -S execve -C gid!=egid -F egid=0 -F key=execpriv

Notes: For 32-bit architectures, only the 32-bit specific entries are required.

To reload the rules file, issue the following command:

$ sudo augenrules --load

See Also

https://dl.dod.cyber.mil/wp-content/uploads/stigs/zip/U_CAN_Ubuntu_20-04_LTS_V1R5_STIG.zip

Item Details

Category: ACCESS CONTROL

References: 800-53|AC-6(8), 800-53|AC-6(9), CAT|II, CCI|CCI-002233, CCI|CCI-002234, Rule-ID|SV-238304r654087_rule, STIG-ID|UBTU-20-010211, Vuln-ID|V-238304

Plugin: Unix

Control ID: e7a657e9343febd0777dc391c28bff240d25e1d69bcc64507a9e51c8602cc789